@echo off
cls
echo ÜÜÜÜÜÜÜÜ
echo PC Bench 
echo ÄÄÄÄÄÄÄÄ
echo Setup for Database Import
echo ˙
if "%1" == "" goto NoDir
if exist i*.dbf goto Bad
if exist i*.mdx goto Bad
:Good
echo Creating Import database from %1
echo on
copy %1result_.dbf iresult.dbf
copy %1result_.mdx iresult.mdx
copy %1machine_.dbf imachine.dbf
copy %1machine_.mdx imachine.mdx
@if not exist %1sysinfo_.dbf goto Skip
copy %1sysinfo_.dbf isysinfo.dbf
copy %1sysinfo_.mdx isysinfo.mdx
@goto Ok
:Skip
@echo No sysinfo data available
:Ok
@echo off
echo ˙
echo If all files copied ok, you are now ready to use 
echo the Import function in PC Bench to add machines 
echo from the import database.
goto End
:Bad
echo ----- WARNING -----
echo -   -   -   -   -   -
echo Import files already exist in the current
echo directory. Hit Ctrl-Break to abort import or 
pause
goto Good
:NoDir
echo Usage: SETUPIMP directory
echo where directory is the path (ending with a \)
echo of the database files you wish to import to the 
echo current directory. 
echo e.g. SETUPIMP c:\download\
echo ˙
:End
